package com.okooo.osgi.rpc.service;

/**
 * 
 * @author jiangyubao@gmail.com
 * 
 */
public interface IRpcExporterService {
	/**
	 * export handler by listener
	 * 
	 * @param key
	 * @param clazz
	 * @return
	 */
	public boolean exportByListener(String key, Class clazz);

	/**
	 * export handler
	 * 
	 * @param key
	 * @param clazz
	 * @return
	 */
	public boolean export(String key, Class clazz);

	/**
	 * remove handler
	 * 
	 * @param key
	 */
	public void unexport(String key);
}
